# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.tasks_api import TasksApi


class TestTasksApi(unittest.IsolatedAsyncioTestCase):
    """TasksApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = TasksApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_create_entities_upsert_task_api_v1_tasks_entities_upsert_post(self) -> None:
        """Test case for create_entities_upsert_task_api_v1_tasks_entities_upsert_post

        Create Entities Upsert Task
        """
        pass

    async def test_create_task_api_v1_tasks_post(self) -> None:
        """Test case for create_task_api_v1_tasks_post

        Create Task
        """
        pass

    async def test_get_task_by_id_api_v1_tasks_id_get(self) -> None:
        """Test case for get_task_by_id_api_v1_tasks_id_get

        Get Task By Id
        """
        pass


if __name__ == '__main__':
    unittest.main()
